| redata

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Retrieve information from REBASE restriction enzyme database

## Description

redata searches the REBASE database for information on a specified restriction enzyme. It writes an output file with information on the cut site and (optionally) the full list of isoschizomers (enzymes with the same target sequence), commercial suppliers of the enzyme and literature references.

## Usage

Here is a sample session with redata

    % redata
    Retrieve information from REBASE restriction enzyme database
    Restriction enzyme name [BamHI]: BamHI
    Output file [outfile.redata]:

Go to the output files for this example

## Command line arguments

    Retrieve information from REBASE restriction enzyme database
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-enzyme]            string     [BamHI] Enter the name of the restriction
                                      enzyme that you wish to get details of. The
                                      names often have a 'I' in them - this is a
                                      capital 'i', not a '1' or an 'l'. The names
                                      are case-independent ('AaeI' is the same as
                                      'aaei') (Any string)
      [-outfile]           outfile    [*.redata] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -[no]isoschizomers  boolean    [Y] Show other enzymes with this
                                      specificity. (Isoschizomers)
       -[no]references     boolean    [Y] Show references
       -[no]suppliers      boolean    [Y] Show suppliers

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-enzyme] (Parameter 1) | string | Enter the name of the restriction enzyme that you wish to get details of. The names often have a 'I' in them - this is a capital 'i', not a '1' or an 'l'. The names are case-independent ('AaeI' is the same as 'aaei') | Any string | BamHI
[-outfile] (Parameter 2) | outfile | Output file name | Output file | <*>.redata
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-[no]isoschizomers | boolean | Show other enzymes with this specificity. (Isoschizomers) | Boolean value Yes/No | Yes
-[no]references | boolean | Show references | Boolean value Yes/No | Yes
-[no]suppliers | boolean | Show suppliers | Boolean value Yes/No | Yes
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

## Output file format

### Output files for usage example

### File: outfile.redata

    BamHI

    Recognition site is GGATCC leaving sticky ends
      Cut positions 5':1 3':5
    Organism: Bacillus amyloliquefaciens H
    Methylated: 5(4)
    Source: ATCC 49763

    Isoschizomers:
       AacI        AaeI        AcaII       AccEBI      AinII       AliI
       Ali12257I   Ali12258I   ApaCI       AsiI        AspTII      Atu1II
       BamFI       BamKI       BamNI       Bca1259I    Bce751I     Bco10278I
       BnaI        BsaDI       Bsp30I      Bsp46I      Bsp90II     Bsp98I
       Bsp130I     Bsp131I     Bsp144I     Bsp4009I    BspAAIII    BstI
       Bst1126I    Bst2464I    Bst2902I    BstQI       Bsu90I      Bsu8565I
       Bsu8646I    BsuB519I    BsuB763I    CelI        DdsI        GdoI
       GinI        GoxI        GseIII      MleI        Mlu23I      NasBI
       Nsp29132II  NspSAIV     OkrAI       Pac1110I    Pae177I     Pfl8I
       Psp56I      RhsI        Rlu4I       RspLKII     SolI        SpvI
       SurI        Uba19I      Uba31I      Uba38I      Uba51I      Uba88I
       Uba1098I    Uba1163I    Uba1167I    Uba1172I    Uba1173I    Uba1205I
       Uba1224I    Uba1242I    Uba1250I    Uba1258I    Uba1297I    Uba1302I
       Uba1324I    Uba1325I    Uba1334I    Uba1339I    Uba1346I    Uba1383I
       Uba1398I    Uba1402I    Uba1414I

    Suppliers:
    Amersham Pharmacia Biotech (1/01)
    Life Technologies Inc. (1/98)
    Minotech, Molecular Biology Products (12/00)
    HYBAID GmbH (12/00)
    Stratagene (11/00)
    Fermentas AB (5/01)
    Q-BIOgene (1/01)
    American Allied Biochemical, Inc. (10/98)
    SibEnzyme Ltd. (1/01)
    Nippon Gene Co., Ltd. (6/00)
    Takara Shuzo Co. Ltd. (2/01)
    Transgenomic Ltd. (1/01)
    Roche Molecular Biochemicals (1/01)
    New England BioLabs (12/00)
    Toyobo Biochemicals (11/98)
    CHIMERx (10/97)
    Promega Corporation (6/99)
    Sigma Chemical Corporation (11/98)
    Advanced Biotechnologies Ltd. (3/98)
    Bangalore Genei (2/01)
    MRC-Holland (3/01)

    References:
    Brooks, J.E., Howard, K.A., US Patent Office, 1994.
    Brooks, J.E., Nathan, P.D., Landry, D., Sznyter, L.A., Waite-Rees, P., Ives, C.L., Moran, L.S., Slatko, B.E., Benner, J.S., (1991) Nucleic Acids Res., vol. 19, pp. 841-850.
    Hattman, S., Keister, T., Gottehrer, A., (1978) J. Mol. Biol., vol. 124, pp. 701-711.
    Lee, S.P., Porter, D., Chirikjian, J.G., Knutson, J.R., Han, M.K., (1994) Anal. Biochem., vol. 220, pp. 377-383.
    Newman, M., Strzelecka, T., Dorner, L.F., Schildkraut, I., Aggarwal, A.K., (1994) Structure, vol. 2, pp. 439-452.
    Roberts, R.J., Wilson, G.A., Young, F.E., (1977) Nature, vol. 265, pp. 82-84.
    Roy, K.B., Vrushank, D., Jayaram, B., (1994) Anal. Biochem., vol. 220, pp. 160-164.
    Strzelecka, T., Newman, M., Dorner, L.F., Knott, R., Schildkraut, I., Aggarwal, A.K., (1994) J. Mol. Biol., vol. 239, pp. 430-432.
    Wilson, G.A., Young, F.E., (1975) J. Mol. Biol., vol. 97, pp. 123-125.
    Xu, S.-Y., Fomenkov, A., (1994) Biotechniques, vol. 17, pp. 57.

This includes the full list of isoschizomers (enzymes with the same target sequence), suppliers and references from the REBASE database.

## Data files

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

The EMBOSS REBASE restriction enzyme data files are stored in directory 'data/REBASE/*' under the EMBOSS installation directory.

These files must first be set up using the program 'rebaseextract'. Running 'rebaseextract' may be the job of your system manager.

The data files are stored in the REBASE directory of the standard EMBOSS data directory. The names are:

- embossre.enz Cleavage information
- embossre.ref Reference/methylation information
- embossre.sup Supplier information

The column information is described at the top of the data files

The reported enzyme from any one group of isoschizomers (the prototype) is specified in the REBASE database and the information is held in the data file 'embossre.equ'. You may edit this file to set your own preferred prototype, if you wish.

The format of the file "embossre.equ" is
Enzyme-name Prototype-name

i.e. two columns of enzyme names separated by a space. The first name of the pair of enzymes is the name that is not preferred and the second is the preferred (prototype) name.

## Notes

The Restriction Enzyme database (REBASE) is a collection of information about restriction enzymes and related proteins. It contains published and unpublished references, recognition and cleavage sites, isoschizomers, commercial availability, methylation sensitivity, crystal and sequence data. DNA methyltransferases, homing endonucleases, nicking enzymes, specificity subunits and control proteins are also included. More recently, putative DNA methyltransferases and restriction enzymes, as predicted from analysis of genomic sequences, are also listed.

The home page of REBASE is: http://rebase.neb.com/

## References

None.

## Warnings

redata uses the EMBOSS REBASE restriction enzyme data files stored in directory `data/REBASE/*` under the EMBOSS installation directory. These files must first be set up using the program rebaseextract. Running rebaseextract may be the job of your system manager.

## Diagnostic Error Messages

None.

## Exit status

It always exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
recoder | Find restriction sites to remove (mutate) with no translation change
remap | Display restriction enzyme binding sites in a nucleotide sequence
restover | Find restriction enzymes producing a specific overhang
restrict | Report restriction enzyme cleavage sites in a nucleotide sequence
showseq | Display sequences with features in pretty format
silent | Find restriction sites to insert (mutate) with no translation change

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written 1999 - Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None